<form style="direction: rtl;" >
  <h2 mat-dialog-title>تکمیل ثبت نام</h2>
  <mat-dialog-content style="display: flex;">
    <div style="flex:1; display: flex; flex-direction: column;">
      <mat-form-field>
        <input matInput required name="user.name" [(ngModel)]="user.name" placeholder="نام و نام خانوادگی">
      </mat-form-field>
      <mat-form-field>
        <input matInput required name="user.email" [(ngModel)]="user.email" placeholder="ایمیل">
      </mat-form-field>
      <mat-form-field>
        <input matInput required name="user.pass" [(ngModel)]="user.pass" placeholder="کلمه عبور">
      </mat-form-field>
    </div>
    <div style="flex:1; display: flex; flex-direction: column; margin-right: 32px;">
      <mat-form-field>
        <mat-select required name="user.private_Q_id" [(ngModel)]="user.private_Q_id" placeholder="سوال">
          <mat-option [value]="q.private_id" *ngFor="let q of questions">
            {{q.question}}
          </mat-option>
        </mat-select>
      </mat-form-field>
  
      <mat-form-field>
        <input matInput required name="user.private_ans" [(ngModel)]="user.private_ans" placeholder="پاسخ به سوال">
      </mat-form-field>
      <mat-checkbox>ثبت نام publisher</mat-checkbox>
    </div>
  </mat-dialog-content>
  <mat-card-actions>
    <button mat-button style="background-color: rgb(240, 240, 240); color:white; margin-left: 16px;" mat-dialog-close>انصراف</button>
    <button  mat-button style="background-color: #14A27D; color:white;" [mat-dialog-close]="user">ثبت</button>
  </mat-card-actions>
</form>
